Secure Mobile Access 100 10.2 Administration Guide

Browser Requirements for the End User

The following is a list of Web browser and operating system support for various Secure Mobile Access protocols including NetExtender and various Application Proxy elements. Minimum browser version requirements are shown for Windows, Linux, and MacOS.

The following table provides specific browser requirements for the Secure Mobile Access End User Interface.

Secure Mobile Access End User Browser Requirements
BrowserOperating System
Edge (latest version)
  • Windows 10
Mozilla Firefox (latest version)
  • Windows 10
  • Linux
  • macOS X
Google Chrome (latest version)
  • Windows 10
  • Linux
  • macOS X
Apple Safari (latest version)
  • macOS X

Was This Article Helpful?

Help us to improve our support portal

Techdocs Article Helpful form

Techdocs Article NOT Helpful form

  • Still can't find what you're looking for? Try our knowledge base or ask our community for more help.